Skip to main content
GET
/
groups
/
{guid}
/
bannedusers
List
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/bannedusers \
  --header 'apikey: <api-key>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/bannedusers"

headers = {"apikey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/bannedusers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "uid": "cometchat-uid-6",
      "name": "Barry Allen",
      "link": "https://cometchat.com",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp",
      "metadata": {
        "email": "user@email.com",
        "contactNumber": "0123456789"
      },
      "status": "offline",
      "role": "manager",
      "createdAt": 1638354015,
      "updatedAt": 1638354799,
      "conversationId": "cometchat-uid-4_user_cometchat-uid-6"
    },
    {
      "uid": "cometchat-uid-2",
      "name": "George Alan",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp",
      "status": "offline",
      "role": "default",
      "createdAt": 1629869270,
      "updatedAt": 1630308676,
      "conversationId": "cometchat-uid-2_user_cometchat-uid-4"
    },
    {
      "uid": "cometchat-uid-3",
      "name": "George Alan",
      "link": "https://data-us.cometchat.io/assets",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp",
      "metadata": {
        "contactNumber": "0123456789"
      },
      "status": "offline",
      "role": "default",
      "blockedByMe": true,
      "blockedByMeAt": 1638346853,
      "blockedAt": 1638346853,
      "createdAt": 1629869270,
      "updatedAt": 1638351060,
      "conversationId": "cometchat-uid-3_user_cometchat-uid-4"
    }
  ],
  "meta": {
    "pagination": {
      "total": 0,
      "count": 5,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    }
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

guid
string
required

A GUID of a group.

Query Parameters

perPage
number
default:100

Number of banned users to return per page.

page
number
default:1

Page number for paginated results.

Response

200 - application/json

get Banned User

data
object[]
meta
object
cursor
object